ntfs-3g_ntfsprogs-2014.2.15AR.1 available?

Asked by emk2203 on 2014-08-25

Is there a reason why the 2014.2.15 version is not included yet?

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu ntfs-3g Edit question
Assignee:
No assignee Edit question
Last query:
2014-09-04
Last reply:
2015-03-18

Because ubuntu is not a rolling release and packages are rarely bang up to date. This is especially true in LTS releases which champion stability over getting the latest version. If you report a bug and state the bug and security fixes it may be updated sooner but a new release of something is not grounds to update it, in Ubuntu.

emk2203 (emk2203) said : #2

I was under the impression that 2014.2.15AR.1 brings the advanced features like permission mapping (http://www.tuxera.com/community/ntfs-3g-advanced/). This is why I am asking for it - no bug, but a feature request.

Manfred Hampl (m-hampl) said : #3

Version 1:2014.2.15AR.1-5 is already available for Debian sid (unstable) and jessie (testing) see https://packages.debian.org/search?suite=all&searchon=names&keywords=ntfs-3g

The date for DebianImportFreeze for Ubuntu 14.10 is already over, so I would expect that this version will be published in Ubuntu 15.04.

Maybe you can also find a PPA with that version for trusty, or you can try building that version yourself.
If that version brings important improvements, then it might be possible to stimulate that this new version is also backported to older releases.

Marcos K (g-ubuntu-com-y) said : #4

There is indeed a bug related to versions ntfs-3g 2013.1.13 and prior.

The consequences are severe, bringing Linux servers to a halt via disk space DOS/ error log bombing.

One example:
http://askubuntu.com/questions/597815/ntfs-3g-failed-to-decompress-file

Manfred Hampl (m-hampl) said : #5

A bug report is already there Bug #1295030
Please register yourself as "This bug affects me"
This issue has to be tackled in the bug area, and not in Launchpad answers.

Can you help with this problem?

Provide an answer of your own, or ask emk2203 for more information if necessary.

To post a message you must log in.